curl_share_cleanup(3)

NAME
curl_share_cleanup - Clean up a shared object

SYNOPSIS
#include <curl/curl.h>

CURLSHcode curl_share_cleanup(CURLSH *share_handle);

DESCRIPTION
This function deletes a shared object. The share handle cannot be used anymore when this function has been called. Passing in a NULL pointer in share_handle will make this function return immediately with no action.

RETURN VALUE
CURLSHE_OK (zero) means that the option was set properly, non-zero means an error occurred as <curl/curl.h> defines. See the libcurl-errors.3 man page for the full list with descriptions. If an error occurs, then the share object will not be deleted.

SEE ALSO
curl_share_init(3), curl_share_setopt(3)